> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Seller Public Skills

> Get a seller's public skills list.



## OpenAPI

````yaml /openapi.json get /v1/sellers/{slug}/skills
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/sellers/{slug}/skills:
    get:
      tags:
        - sellers
      summary: Get Seller Public Skills
      description: Get a seller's public skills list.
      operationId: get_seller_public_skills_v1_sellers__slug__skills_get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SellerPublicSkillsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SellerPublicSkillsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SellerPublicSkillItem'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: SellerPublicSkillsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SellerPublicSkillItem:
      properties:
        slug:
          type: string
          title: Slug
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        price_cents:
          type: integer
          title: Price Cents
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        security_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Security Status
        download_count:
          type: integer
          title: Download Count
          default: 0
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - slug
        - title
        - price_cents
      title: SellerPublicSkillItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````